Loading...
Searching...
No Matches
fc_config_ Struct Reference

## Public Attributes

uint32_t | msgFlags
uint32_t | logFlags
uint64_t | maxLogSize
uint32_t | maxAttempts
uint32_t | connectTimeout
uint32_t | requestTimeout
uint32_t | bCompressLocalDatabase
const char * | logFile
const char * | logFacility
const char * | localIP
const char * | userAgent
const char * | proxyServer
uint16_t | proxyPort
const char * | proxyUsername
const char * | proxyPassword
const char * | databaseDirectory
const char * | tempDirectory
const char * | certsDirectory
bool | bFipsLimits

## Member Data Documentation

## bCompressLocalDatabase

uint32_t fc_config_::bCompressLocalDatabase

If set, will apply gz compression to CLD databases.

## bFipsLimits

bool fc_config_::bFipsLimits

If true, enable FIPS cryptographic hashing limitations that will require CVDs to be signed with FIPS-compliant external '.sign' file.

## certsDirectory

const char* fc_config_::certsDirectory

Filepath of clamav ca certificates directory to verify database external digital signatures.

## connectTimeout

uint32_t fc_config_::connectTimeout

CURLOPT_CONNECTTIMEOUT, Timeout for the. connection phase (seconds).

## databaseDirectory

const char* fc_config_::databaseDirectory

Filepath of database directory.

## localIP

const char* fc_config_::localIP

(optional) client IP for multihomed systems.

## logFacility

const char* fc_config_::logFacility

(optional) System logging facility (I.e. "syslog"), if desired.

## logFile

const char* fc_config_::logFile

(optional) Filepath to use for log output, if desired.

## logFlags

uint32_t fc_config_::logFlags

FC_CONFIG_LOG bitflag field.

## maxAttempts

uint32_t fc_config_::maxAttempts

Max # of download attempts. Must be > 0

## maxLogSize

uint64_t fc_config_::maxLogSize

Max size of logfile, if enabled.

## msgFlags

uint32_t fc_config_::msgFlags

FC_CONFIG_MSG bitflag field.

## proxyPassword

const char* fc_config_::proxyPassword

(optional) Password for proxy server authentication.

## proxyPort

uint16_t fc_config_::proxyPort

(optional) Proxy server port #.

## proxyServer

const char* fc_config_::proxyServer

(optional) http(s) url for proxy server.

## proxyUsername

const char* fc_config_::proxyUsername

(optional) Username for proxy server authentication .

## requestTimeout

uint32_t fc_config_::requestTimeout

CURLOPT_LOW_SPEED_TIME, Timeout for libcurl transfer operation (seconds).

## tempDirectory

const char* fc_config_::tempDirectory

Filepath to store temp files.

## userAgent

const char* fc_config_::userAgent

(optional) Alternative User Agent.

The documentation for this struct was generated from the following file:

- /build/clamav-VQM932/clamav-1.5.3+dfsg/libfreshclam/libfreshclam.h